{% extends "core/logged.html" %}
{% load static %}
{% load widget_tweaks %}

{% block aside %}
{% include 'core/aside_menu.html' %}
{% endblock aside %}

{% block content %}
	<div class="content-wrapper">

		<section class="content-header">
	      <h1>
	        Caminhões
	      </h1>
	      <ol class="breadcrumb">
	        <li><a href="{% url 'admin:index' %}"><i class="fa fa-home"></i>Home</a></li>
	        <li class="active"><a href="{% url 'admin:list_caminhoes' %}">Caminhões</a></li>
	      </ol>
	    </section>
		
		<section class="content">
			<div class="box">
	            <div class="box-header">
	              <h3 class="box-title">Novo Caminhão</h3>
	            </div>
	            <!-- /.box-header -->
	            <div class="box-body">
	            	<div class="content">

	            		<form class='form-vertical' style="margin-top: 20px;" action="" method="POST" enctype="multipart/form-data">
		            		{% csrf_token %}
		            		<div class="form-group">
				                <label>Motorista</label>
				                {% if form.motorista.errors %}
				                    {% render_field form.motorista class+="checkbox"  aria-describedby="motorista-error"%}
				                    {% for erro in form.motorista.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.motorista class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
	            			<div class="form-group">
				                <label>Placa</label>
				                {% if form.placa.errors %}
				                    {% render_field form.placa class+="form-control placeholder-no-fix"  aria-describedby="placa-error"%}
				                    {% for erro in form.placa.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.placa class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Chassi</label>
				                {% if form.chassi.errors %}
				                    {% render_field form.chassi class+="form-control placeholder-no-fix"  aria-describedby="chassi-error"%}
				                    {% for erro in form.chassi.errors %}
				                    	<span class="text-danger">{{ erro }}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.chassi class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Marca</label>
				                {% if form.marca.errors %}
				                    {% render_field form.marca class+="form-control placeholder-no-fix"  aria-describedby="marca-error"%}
				                    {% for erro in form.marca.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.marca class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Modelo</label>
				                {% if form.modelo.errors %}
				                    {% render_field form.modelo class+="form-control placeholder-no-fix"  aria-describedby="modelo-error"%}
				                    {% for erro in form.modelo.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.modelo class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="form-group">
				                <label>Cor</label>
				                {% if form.cor.errors %}
				                    {% render_field form.cor.all class+="form-control placeholder-no-fix"  aria-describedby="cor-error"%}
				                    {% for erro in form.cor.errors %}
				                    	<span class="text-danger">{{erro}}</span>  
				                    {% endfor %}
				                {% else %}
				                    {% render_field form.cor class+="form-control placeholder-no-fix" %}
				                {% endif %}
				            </div>
				            <div class="pull-right">
				            	<a class="btn btn-default" href="{% url 'admin:list_caminhoes' %}">Cancelar</a>
				            	<button class="btn btn-primary">Salvar</button>
				            </div>
		            	</form>

		            </div>
	            </div>
	            <!-- /.box-body -->
	         </div>
		</section>
		
    </div>
{% endblock content %}